summaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh45
1 files changed, 0 insertions, 45 deletions
diff --git a/autogen.sh b/autogen.sh
deleted file mode 100755
index 52a8812..0000000
--- a/autogen.sh
+++ /dev/null
@@ -1,45 +0,0 @@
-#!/bin/sh
-
-# Copyright (c) 2007-2009 iMatix Corporation
-# Copyright (c) 2007-2011 Other contributors as noted in the AUTHORS file
-#
-# This file is part of 0MQ.
-#
-# 0MQ is free software; you can redistribute it and/or modify it under
-# the terms of the GNU Lesser General Public License as published by
-# the Free Software Foundation; either version 3 of the License, or
-# (at your option) any later version.
-#
-# 0MQ is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
-# GNU Lesser General Public License for more details.
-#
-# You should have received a copy of the GNU Lesser General Public License
-# along with this program. If not, see <http://www.gnu.org/licenses/>.
-
-# Script to generate all required files from fresh git checkout.
-
-command -v libtool >/dev/null 2>&1
-if [ $? -ne 0 ]; then
- echo "autogen.sh: error: could not find libtool. libtool is required to run autogen.sh." 1>&2
- exit 1
-fi
-
-command -v autoreconf >/dev/null 2>&1
-if [ $? -ne 0 ]; then
- echo "autogen.sh: error: could not find autoreconf. autoconf and automake are required to run autogen.sh." 1>&2
- exit 1
-fi
-
-mkdir -p ./config
-if [ $? -ne 0 ]; then
- echo "autogen.sh: error: could not create directory: ./config." 1>&2
- exit 1
-fi
-
-autoreconf --install --force --verbose -I config
-if [ $? -ne 0 ]; then
- echo "autogen.sh: error: autoreconf exited with status $?" 1>&2
- exit 1
-fi